**********************************************************************
*Title: 金融监管的溢出效应——基于企业创新视角
*Author: 巴曙松，关师育，张兢
*Date: 2024-07-20
**********************************************************************


cd 路径
use 数据-金融监管的溢出效应.dta
xtset firm year
global controls "Age Size Lever Fixratio ROA Top1 Dual Audit" 
global Lcontrols "LAge LSize LLever LFixratio LROA LTop1 LDual LAudit" //L前缀均为匹配好的滞后一期变量，回归中使用 


*** 描述性统计
tabstat Pat InvPat StrPat Citation Finreg SA FC Fin Fintrend $controls, s(N mean sd min p50 max)  f(%10.3f) c(s)
logout, save ("表1-描述性统计.doc") word replace: tabstat Pat InvPat StrPat Citation Finreg SA FC Fin Fintrend $controls, s(N mean sd min p50 max)  f(%10.3f) c(s)



*** 基准回归
	xtreg Pat LFinreg i.year i.indcode, fe cluster(firm)
	outreg2 using "表2-基准回归.doc", replace tstat bdec(3) tdec(3) keep(LFinreg) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2 
	xtreg Citation LFinreg i.year i.indcode, fe cluster(firm)
	outreg2 using "表2-基准回归.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2 
	xtreg Pat LFinreg $Lcontrols i.year i.indcode, fe cluster(firm)
	outreg2 using "表2-基准回归.doc", append tstat bdec(3) tdec(3) keep(LFinreg $Lcontrols) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode, fe cluster(firm)
	outreg2 using "表2-基准回归.doc", append tstat bdec(3) tdec(3) keep(LFinreg $Lcontrols) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2 	
	xtreg InvPat LFinreg i.year i.indcode, fe cluster(firm)
	outreg2 using "表2-基准回归.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2 
	xtreg StrPat LFinreg i.year i.indcode, fe cluster(firm)
	outreg2 using "表2-基准回归.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2 
	xtreg InvPat LFinreg $Lcontrols i.year i.indcode, fe cluster(firm)
	outreg2 using "表2-基准回归.doc", append tstat bdec(3) tdec(3) keep(LFinreg $Lcontrols) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2 
	xtreg StrPat LFinreg $Lcontrols i.year i.indcode, fe cluster(firm)	
	outreg2 using "表2-基准回归.doc", append tstat bdec(3) tdec(3) keep(LFinreg $Lcontrols) addtext(Firm FE,Yes,Year FE,Yes,Industry FE,Yes) adjr2 	
	


*** 机制检验

* 1 融资约束分组检验
	astile SA_2 = SA , nq(2) //依据SA指数中位数分组
	astile FC_2 = FC , nq(2) //依据FC指数中位数分组 
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if sa_2==1, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", replace tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if sa_2==2, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if fc_2==1, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if fc_2==2, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2

* 2 金融化分组检验
	astile Fin_2 = Fin , nq(2) //依据金融化水平中位数分组
	astile Fintrend_2 = Fintrend , nq(2) //依据金融化趋势中位数分组
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if fin_2==1, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if fin_2==2, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if fintrend_2==1, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if fintrend_2==2, fe cluster(firm)
	outreg2 using "表3-机制分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	
		
*** 异质性分析

* 1 地区
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if east==1, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", replace tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if east==1, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if east!=1, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if east!=1, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg) addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2


* 2 行业
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if hightech==1, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if hightech==1, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if hightech==0, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if hightech==0, fe cluster(firm)
	outreg2 using "表4-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2



* 3 产权性质
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if soe==1, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", replace tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if soe==1, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if soe==0, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if soe==0, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2

	
* 4 生命周期
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if cycle==1, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if cycle==1, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if cycle==2, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if cycle==2, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Pat LFinreg $Lcontrols i.year i.indcode if cycle==3, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	xtreg Citation LFinreg $Lcontrols i.year i.indcode if cycle==3, fe cluster(firm)
	outreg2 using "表5-异质性分析.doc", append tstat bdec(3) tdec(3) keep(LFinreg)  addtext(Controls,Yes,Firm & Year & Industry FE,Yes) adjr2
	